Loading...
Searching...
No Matches
mongocxx::v_noabi::options::pool Class Reference

`#include <mongocxx/v_noabi/mongocxx/options/pool.hpp>`

## Description

Used by mongocxx::v_noabi::pool.

## Public Member Functions

| pool ()=default
| Default initialization.
| pool (v_noabi::options::client client_opts)
| Constructs a new pool options object. Note that options::pool is implictly convertible from options::client.
v_noabi::options::client const & | client_opts () const
| The current client options.

## Constructor & Destructor Documentation

## pool() [1/2]

mongocxx::v_noabi::options::pool::pool | ( |  | ) |

default

Default initialization.

## pool() [2/2]

mongocxx::v_noabi::options::pool::pool | ( | v_noabi::options::client | client_opts | ) |

inline

Constructs a new pool options object. Note that options::pool is implictly convertible from options::client.

Parameters

  client_opts | The client options.

## Member Function Documentation

## client_opts()

v_noabi::options::client const & mongocxx::v_noabi::options::pool::client_opts | ( |  | ) | const

inline

The current client options.

Returns
  The client options.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/options/pool.hpp